--- src/frontend/get_resident_set_size.c.orig	2020-12-22 17:35:59.000000000 -0800
+++ src/frontend/get_resident_set_size.c	2020-12-22 17:39:53.000000000 -0800
@@ -110,6 +110,14 @@
         return (unsigned long long) info.WorkingSetSize;
 
 #elif defined(__APPLE__) && defined(__MACH__)
+
+#if MAC_OS_X_VERSION_MAX_ALLOWED < 1080
+#  define MACH_TASK_BASIC_INFO_COUNT TASK_BASIC_INFO_COUNT
+#  define mach_task_basic_info_data_t task_basic_info_data_t
+#  define MACH_TASK_BASIC_INFO TASK_BASIC_INFO
+#  define mach_task_basic_info task_basic_info
+#endif
+
     /* OSX ------------------------------------------------------ */
     struct mach_task_basic_info info;
     mach_msg_type_number_t infoCount = MACH_TASK_BASIC_INFO_COUNT;
